# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

- All
- Functions
- Variables
- Typedefs
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - f -

- Factor() : dirac::EntropyCorrector
- fbuf : dirac_decoder_t
- FileStreamInput() : dirac::FileStreamInput
- FileStreamOutput() : dirac::FileStreamOutput
- Filter() : dirac::WaveletTransform::UpdateStepFourTap< shift, tap1, tap2 > , dirac::WaveletTransform::PredictStep97< gain > , dirac::WaveletTransform::PredictStepShift< shift > , dirac::WaveletTransform::UpdateStep97< gain > , dirac::WaveletTransform::UpdateStepShift< shift > , dirac::WaveletTransform::PredictStepFourTap< shift, tap1, tap2 >
- FindBestMatchPel() : dirac::BlockMatcher
- FindBestMatchSubp() : dirac::BlockMatcher
- FindTransitions() : dirac::MEData
- Finished() : dirac::SequenceCompressor , dirac::SequenceDecompressor
- First() : dirac::Range , dirac::OneDArray< T >
- FirstX() : dirac::TwoDArray< T >
- FirstY() : dirac::TwoDArray< T >
- FlipX() : dirac::MotionCompensator
- FlipY() : dirac::MotionCompensator
- FlushEncoder() : dirac::ArithCodecBase
- fnum : dirac_frameparams_t , dirac_instr_t
- Frame() : dirac::Frame
- frame_avail : dirac_decoder_t
- frame_bits : dirac_enc_framestats_t
- frame_params : dirac_decoder_t , me_data_entry
- frame_rate : dirac_sourceparams_t
- FrameBuffer() : dirac::FrameBuffer
- FrameByteIO() : dirac::FrameByteIO
- FrameComplexity() : dirac::FrameComplexity
- FrameCompressor() : dirac::FrameCompressor
- FrameDecompressor() : dirac::FrameDecompressor
- FrameNum() : dirac::FrameParams
- FrameParams() : dirac::FrameParams
- FrameRate() : dirac::SourceParams
- FrameRateIndex() : dirac::SourceParams
- FrameSort() : dirac::FrameSort
- FrameWeightsBits() : dirac::CodecParams
- FreeData() : dirac::TwoDArray< T >
- FreePtr() : dirac::OneDArray< T >
- fs : dirac::FrameSort
- FSort() : dirac::FrameParams
- fsort : dirac::ModeDecider
- ftype : dirac_instr_t , dirac_frameparams_t

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.